Create
curl --request POST \
--url https://api.themoviedb.org/4/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "My Cool List",
"public": true
}
'import requests
url = "https://api.themoviedb.org/4/list"
payload = {
"description": "",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "My Cool List",
"public": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '',
iso_3166_1: 'US',
iso_639_1: 'en',
name: 'My Cool List',
public: true
})
};
fetch('https://api.themoviedb.org/4/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 8516326,
"status_code": 1,
"status_message": "Success.",
"success": true
}Create
This endpoint create a new list
POST
/
4
/
list
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I